curl --request GET \
--url http://{defaultHost}/api/v2/platform/store_credit_types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "2",
"type": "store_credit_type",
"attributes": {
"name": "Expiring",
"priority": 1,
"created_at": "2022-11-08T19:35:36.152Z",
"updated_at": "2022-11-08T19:35:36.152Z"
}
},
{
"id": "3",
"type": "store_credit_type",
"attributes": {
"name": "Expiring",
"priority": 1,
"created_at": "2022-11-08T19:35:36.153Z",
"updated_at": "2022-11-08T19:35:36.153Z"
}
}
],
"meta": {
"count": 2,
"total_count": 2,
"total_pages": 1
},
"links": {
"self": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"next": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"prev": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"last": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"first": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page="
}
}Returns a list of Store Credit Types
curl --request GET \
--url http://{defaultHost}/api/v2/platform/store_credit_types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "2",
"type": "store_credit_type",
"attributes": {
"name": "Expiring",
"priority": 1,
"created_at": "2022-11-08T19:35:36.152Z",
"updated_at": "2022-11-08T19:35:36.152Z"
}
},
{
"id": "3",
"type": "store_credit_type",
"attributes": {
"name": "Expiring",
"priority": 1,
"created_at": "2022-11-08T19:35:36.153Z",
"updated_at": "2022-11-08T19:35:36.153Z"
}
}
],
"meta": {
"count": 2,
"total_count": 2,
"total_pages": 1
},
"links": {
"self": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"next": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"prev": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"last": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page=",
"first": "http://www.example.com/api/v2/platform/store_credit_types?page=1&per_page="
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Records returned
Was this page helpful?